#INCLUDE "dislin.bi"
#INCLUDE "GL/gl.bi"

DIM AS SINGLE xray(49), yray(49), zmat(49, 49)

DIM AS INTEGER i, j, n = 50
DIM AS DOUBLE step_TJF, x, y, fpi = 3.14159/180.
DIM AS SINGLE zlev

step_TJF = 360./(n-1)

FOR i = 0 TO n - 1
  xray(i) = i*step_TJF
  yray(i) = i*step_TJF
NEXT

FOR i = 0 TO n - 1
  FOR j = 0 TO n - 1
    x = xray(i)*fpi
    y = yray(j)*fpi
    zmat(i,j) = 2*SIN(x)*SIN(y)
  NEXT
NEXT

metafl ("cons")
setpag("da4p")
disini()
complx()
pagera()

titlin("Contour Plot",1)
titlin("F(X,Y) = 2 * SIN(X) * SIN(Y)",3)

name_("X-axis","x")
name_("Y-axis","y")

intax()
axspos(450,2670)
graf(0.,360.,0.,90.,0.,360.,0.,90.)

height(30)
FOR i = 0 TO 9 - 1
  zlev = -2.+i*0.5
  setclr ((i+1) * 25)
  IF i = 4 THEN
    labels("none","contur")
  ELSE
    labels("float","contur")
  END IF

  contur(@xray(0),n,@yray(0),n,@zmat(0,0),zlev)
NEXT

height(50)
color_("fore")
title()

disfin()
