#INCLUDE "dislin.bi"
#INCLUDE "GL/gl.bi"

DIM AS SINGLE zmat(49, 49), xray(49), yray(49), zlev(19)
DIM AS INTEGER i, j, n = 50, nlev = 20
DIM AS DOUBLE step_TJF, x, y, fpi = 3.1415927/180.
STATIC AS ZSTRING PTR _
  ctit1 = @!"Shaded Surface / Contour Plot", _
  ctit2 = @!"F(X,Y)= 2*SIN(X)*SIN(Y)"

step_TJF = 360./(n - 1)
FOR i = 0 TO n - 1
  x = i*step_TJF
  xray(i) = x
  FOR j = 0 TO n - 1
    y = j*step_TJF
    yray(j) = y
    zmat(i,j) = 2*SIN(x*fpi)*SIN(y*fpi)
  NEXT
NEXT

scrmod ("revers")
setpag("da4p")
metafl ("cons")
disini()
pagera()
hwfont()
axspos(200,2600)
axslen(1800,1800)

name_("X-axis","x")
name_("Y-axis","y")
name_("Z-axis","z")

titlin(ctit1,2)
titlin(ctit2,4)

graf3d(0.,360.,0.,90.,0.,360.,0.,90.,-2.,2.,-2.,1.)
height(50)
title()

grfini (-1., -1., -1., 1., -1., -1., 1., 1., -1.)
nograf ()
graf (0., 360., 0., 90., 0., 360., 0., 90.)
step_TJF = 4. / nlev
FOR i = 0 TO nlev - 1
  zlev(i) = CAST(SINGLE, -2.0 + i * step_TJF)
NEXT

conshd (@xray(0), n, @yray(0), n, @zmat(0,0), @zlev(0), nlev)
box2d ()
reset_ ("nograf")
grffin ()

shdmod("smooth","surface")
surshd(@xray(0), n, @yray(0), n, @zmat(0,0))
disfin()

