#INCLUDE "dislin.bi"
#INCLUDE "GL/gl.bi"

DIM AS SINGLE zmat(49, 49), xray(49), yray(49)

DIM AS INTEGER i, j, n = 50
DIM AS DOUBLE step_TJF, x, y, fpi = 3.1415927/180.

' static char *ctit1 = "Shaded Surface Plot",
'               *ctit2 = "F(X,Y) = 2*SIN(X)*SIN(Y)";
STATIC AS ZSTRING PTR _
  ctit1 = @!"Shaded Surface Plot", _
  ctit2 = @!"F(X,Y)= 2*SIN(X)*SIN(Y)"

step_TJF = 360./(n-1)
FOR i = 0 TO n - 1
  x = i*step_TJF
  xray(i) = x
  FOR j = 0 TO n - 1
    y = j*step_TJF
    yray(j) = y
    zmat(i,j) = 2*SIN(x*fpi)*SIN(y*fpi)
  NEXT
NEXT

metafl ("cons")
setpag("da4p")
disini()
pagera()
complx()
axspos(200,2600)
axslen(1800,1800)

name_("X-axis","x")
name_("Y-axis","y")
name_("Z-axis","z")

titlin(ctit1,2)
titlin(ctit2,4)

VIEW3d(-5.,-5.,4.,"abs")
graf3d(0.,360.,0.,90.,0.,360.,0.,90.,-3.,3.,-3.,1.)
height(50)
title()

shdmod("smooth","surface")
surshd(@xray(0),n,@yray(0),n,@zmat(0,0))
disfin()
